var $AdfDhtmlSelectOneRadioPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlSelectOnePeer$$, "AdfDhtmlSelectOneRadioPeer");
$goog$exportSymbol$$("AdfDhtmlSelectOneRadioPeer", $AdfDhtmlSelectOneRadioPeer$$);
$AdfDhtmlSelectOneRadioPeer$$.$InitSubclass$ = function $$AdfDhtmlSelectOneRadioPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfUIEditableValue.SUBMITTED_VALUE, AdfUISelectOne.$SELECT_ITEMS$, AdfRichSelectOneRadio.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichSelectOneRadio.LABEL);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
  this.$_ITEM_VALUE_EXPANDO$ = "_adfIV";
};
$goog$exportSymbol$$("AdfDhtmlSelectOneRadioPeer.InitSubclass", $AdfDhtmlSelectOneRadioPeer$$.$InitSubclass$);
$AdfDhtmlSelectOneRadioPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$HandleComponentClick$$($componentEvent$$474_forAttribute_nativeEventTarget$$2$$) {
  $AdfDhtmlSelectOneRadioPeer$$.$superclass$.$HandleComponentClick$.call(this, $componentEvent$$474_forAttribute_nativeEventTarget$$2$$);
  var $component$$2136$$ = this.$getComponent$(), $inputElementId$$ = null;
  ($componentEvent$$474_forAttribute_nativeEventTarget$$2$$ = $componentEvent$$474_forAttribute_nativeEventTarget$$2$$.$getNativeEventTarget$()) && "LABEL" == $componentEvent$$474_forAttribute_nativeEventTarget$$2$$.tagName && ($componentEvent$$474_forAttribute_nativeEventTarget$$2$$ = $componentEvent$$474_forAttribute_nativeEventTarget$$2$$.getAttribute("for")) && -1 != $componentEvent$$474_forAttribute_nativeEventTarget$$2$$.indexOf($component$$2136$$.$getClientId$()) && ($inputElementId$$ = $componentEvent$$474_forAttribute_nativeEventTarget$$2$$);
  this.$Validate$($component$$2136$$, this.$GetSubmittedValue$($component$$2136$$, this.$getDomElement$(), $inputElementId$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetNoteWindowAlignmentNode$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetNoteWindowAlignmentNode$$($component$$2137$$, $rootNode$$22$$) {
  $rootNode$$22$$ || ($rootNode$$22$$ = this.$getDomElement$());
  var $radio$$1$$ = $rootNode$$22$$.getElementsByTagName("input")[0];
  return $radio$$1$$ ? "0" === $AdfAgent$$.$AGENT$.getComputedStyle($radio$$1$$).opacity ? $radio$$1$$.parentElement : $radio$$1$$ : $AdfDhtmlSelectOneRadioPeer$$.$superclass$.$GetNoteWindowAlignmentNode$.call(this, $component$$2137$$, $rootNode$$22$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetNoteWindowAlignmentNode", {$GetNoteWindowAlignmentNode$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetNoteWindowAlignmentNode$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetComponentSelectItems$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetComponentSelectItems$$($component$$2138$$, $domElement$$530$$) {
  var $domNode$$102_inputElements$$2$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2138$$, $domElement$$530$$);
  if (null != $domNode$$102_inputElements$$2$$) {
    var $domNode$$102_inputElements$$2$$ = $domNode$$102_inputElements$$2$$.getElementsByTagName("input"), $selectItems$$12$$ = [], $inputElement$$7$$ = null;
    if (null != $domNode$$102_inputElements$$2$$) {
      for (var $length$$84$$ = $domNode$$102_inputElements$$2$$.length, $i$$556$$ = 0;$i$$556$$ < $length$$84$$;$i$$556$$++) {
        $inputElement$$7$$ = $domNode$$102_inputElements$$2$$[$i$$556$$], $selectItems$$12$$[$i$$556$$] = new $AdfSelectItem$$($inputElement$$7$$.value, $AdfDhtmlEditableValuePeer$$.$GetLabelElement$($inputElement$$7$$).textContent, $inputElement$$7$$.disabled, "t" === $inputElement$$7$$.getAttribute($AdfDhtmlSelectOnePeer$$.$NO_SELECTION_OPTION_EXPANDO$));
      }
    }
    return $selectItems$$12$$;
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetComponentSelectItems", {$GetComponentSelectItems$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetComponentSelectItems$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetSubmittedValue$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetSubmittedValue$$($component$$2139_inputElements$$3$$, $domElement$$531_domNode$$103$$, $i$$557_inputElementId$$1$$) {
  $domElement$$531_domNode$$103$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2139_inputElements$$3$$, $domElement$$531_domNode$$103$$);
  if ($component$$2139_inputElements$$3$$.getReadOnly()) {
    return $domElement$$531_domNode$$103$$.getAttribute($AdfDhtmlSelectOneRadioPeer$$.$_ITEM_VALUE_EXPANDO$);
  }
  if ($i$$557_inputElementId$$1$$) {
    return $AdfAgent$$.$AGENT$.getElementById($i$$557_inputElementId$$1$$).value;
  }
  $component$$2139_inputElements$$3$$ = $domElement$$531_domNode$$103$$.getElementsByTagName("input");
  for ($i$$557_inputElementId$$1$$ = 0;$i$$557_inputElementId$$1$$ < $component$$2139_inputElements$$3$$.length;$i$$557_inputElementId$$1$$++) {
    if ($component$$2139_inputElements$$3$$[$i$$557_inputElementId$$1$$].checked) {
      return $component$$2139_inputElements$$3$$[$i$$557_inputElementId$$1$$].value;
    }
  }
  return "";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetSubmittedValue", {$GetSubmittedValue$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetSubmittedValue$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$SetDisplayValue$$($component$$2140_inputElements$$4_readOnly$$15$$, $domElement$$532_domNode$$104_length$$85$$, $newValue$$157$$) {
  $domElement$$532_domNode$$104_length$$85$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2140_inputElements$$4_readOnly$$15$$, $domElement$$532_domNode$$104_length$$85$$);
  if (null != $domElement$$532_domNode$$104_length$$85$$) {
    if ($component$$2140_inputElements$$4_readOnly$$15$$ = $component$$2140_inputElements$$4_readOnly$$15$$.getReadOnly(), $AdfAssert$$.$assertString$($newValue$$157$$), $component$$2140_inputElements$$4_readOnly$$15$$) {
      $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$532_domNode$$104_length$$85$$, $newValue$$157$$);
    } else {
      if ($component$$2140_inputElements$$4_readOnly$$15$$ = $domElement$$532_domNode$$104_length$$85$$.getElementsByTagName("input"), null != $component$$2140_inputElements$$4_readOnly$$15$$) {
        $domElement$$532_domNode$$104_length$$85$$ = $component$$2140_inputElements$$4_readOnly$$15$$.length;
        for (var $i$$558$$ = 0;$i$$558$$ < $domElement$$532_domNode$$104_length$$85$$;$i$$558$$++) {
          $component$$2140_inputElements$$4_readOnly$$15$$[$i$$558$$].value == $newValue$$157$$ && ($component$$2140_inputElements$$4_readOnly$$15$$[$i$$558$$].checked = !0);
        }
      }
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlSelectOneRadioPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleLabelEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneRadioPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlSelectOneRadioPeer$$.prototype.$GetInlineEditor$});
